@ ECHO OFF

REM testfiles\h5repacktst\%1\h5repacktst

mkdir temptest
type nul > temptest\empty.txt
type nul > repacktest%2_%1.txt

cd h5repack%2\%1

REM
REM The tests
REM We use the files generated by h5repack test
REM Each run generates "out.test*.h5" and the tool h5diff is used to
REM compare the input and output files.  The output from tool h5diff is 
REM redirected to a file, which should be an empty file when the input 
REM and output files are identical.  We can check whether the h5diff output
REM file is empty so we can know whether h5repack test passed.

REM copy files
h5repack%2 -i ..\..\testfiles\test1.h5 -o ..\..\temptest\out.test1.h5
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test1.h5 ..\..\temptest\out.test1.h5 > ..\..\temptest\test1.results 2>..\..\temptest\test1_error.results
more ..\..\temptest\test1_error.results >> ..\..\temptest\test1.results
fc ..\..\temptest\test1.results ..\..\temptest\empty.txt
if %ERRORLEVEL%==0 (
   echo Testing h5repack test1.h5                                                                            PASSED >> ..\..\repacktest%2_%1.txt
) else (
   echo Testing h5repack test1.h5                                                                            FAILED >> ..\..\repacktest%2_%1.txt
)
del ..\..\temptest\out.test1.h5
del ..\..\temptest\test1.results
del ..\..\temptest\test1_error.results

h5repack%2 -i ..\..\testfiles\test3.h5 -o ..\..\temptest\out.test3.h5 
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test3.h5 ..\..\temptest\out.test3.h5 > ..\..\temptest\test3.results 2>..\..\temptest\test3_error.results
more ..\..\temptest\test3_error.results >> ..\..\temptest\test3.results
fc ..\..\temptest\test3.results ..\..\temptest\empty.txt
if %ERRORLEVEL%==0 (
   echo Testing h5repack test3.h5                                                                            PASSED >> ..\..\repacktest%2_%1.txt
) else (
   echo Testing h5repack test3.h5                                                                            FAILED >> ..\..\repacktest%2_%1.txt
)
del ..\..\temptest\out.test3.h5
del ..\..\temptest\test3.results
del ..\..\temptest\test3_error.results

h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5 > ..\..\temptest\test4.results 2>..\..\temptest\test4_error.results
more ..\..\temptest\test4_error.results >> ..\..\temptest\test4.results
fc ..\..\temptest\test4.results ..\..\temptest\empty.txt
if %ERRORLEVEL%==0 (
   echo Testing h5repack test4.h5                                                                            PASSED >> ..\..\repacktest%2_%1.txt
) else (
   echo Testing h5repack test4.h5                                                                            FAILED >> ..\..\repacktest%2_%1.txt
)
del ..\..\temptest\out.test4.h5
del ..\..\temptest\test4.results
del ..\..\temptest\test4_error.results

REM TOOLTEST test5.h5

REM remove all  filters
REM TOOLTEST test4.h5 -f NONE
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -f NONE
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5 > ..\..\temptest\test4.results 2>..\..\temptest\test4_error.results
more ..\..\temptest\test4_error.results >> ..\..\temptest\test4.results
fc ..\..\temptest\test4.results ..\..\temptest\empty.txt
if %ERRORLEVEL%==0 (
   echo Testing h5repack test4.h5 -f NONE                                                                    PASSED >> ..\..\repacktest%2_%1.txt
) else (
   echo Testing h5repack test4.h5 -f NONE                                                                    FAILED >> ..\..\repacktest%2_%1.txt
)
del ..\..\temptest\out.test4.h5
del ..\..\temptest\test4.results
del ..\..\temptest\test4_error.results

REM remove one filter
REM TOOLTEST test4.h5 -f dset_gzip:NONE
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -f dset_gzip:NONE
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5 > ..\..\temptest\test4.results 2>..\..\temptest\test4_error.results
more ..\..\temptest\test4_error.results >> ..\..\temptest\test4.results
fc ..\..\temptest\test4.results ..\..\temptest\empty.txt
if %ERRORLEVEL%==0 (
   echo Testing h5repack test4.h5 -f dset_gzip:NONE                                                          PASSED >> ..\..\repacktest%2_%1.txt
) else (
   echo Testing h5repack test4.h5 -f dset_gzip:NONE                                                          FAILED >> ..\..\repacktest%2_%1.txt
)
del ..\..\temptest\out.test4.h5
del ..\..\temptest\test4.results
del ..\..\temptest\test4_error.results

REM gzip
REM TOOLTEST test4.h5 -f dset1:GZIP=9
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -f dset1:GZIP=9
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5 > ..\..\temptest\test4.results 2>..\..\temptest\test4_error.results
more ..\..\temptest\test4_error.results >> ..\..\temptest\test4.results
fc ..\..\temptest\test4.results ..\..\temptest\empty.txt
if %ERRORLEVEL%==0 (
   echo Testing h5repack test4.h5 -f dset1:GZIP=9                                                            PASSED >> ..\..\repacktest%2_%1.txt
) else (
   echo Testing h5repack test4.h5 -f dset1:GZIP=9                                                            FAILED >> ..\..\repacktest%2_%1.txt
)
del ..\..\temptest\out.test4.h5
del ..\..\temptest\test4.results
del ..\..\temptest\test4_error.results

REM TOOLTEST test4.h5 -f GZIP=1
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -f GZIP=1
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5 > ..\..\temptest\test4.results 2>..\..\temptest\test4_error.results
more ..\..\temptest\test4_error.results >> ..\..\temptest\test4.results
fc ..\..\temptest\test4.results ..\..\temptest\empty.txt
if %ERRORLEVEL%==0 (
   echo Testing h5repack test4.h5 -f GZIP=1                                                                  PASSED >> ..\..\repacktest%2_%1.txt
) else (
   echo Testing h5repack test4.h5 -f GZIP=1                                                                  FAILED >> ..\..\repacktest%2_%1.txt
)
del ..\..\temptest\out.test4.h5
del ..\..\temptest\test4.results
del ..\..\temptest\test4_error.results

REM szip
REM TOOLTEST test4.h5 -f dset1:SZIP=8
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -f dset1:SZIP=8
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5 > ..\..\temptest\test4.results 2>..\..\temptest\test4_error.results
more ..\..\temptest\test4_error.results >> ..\..\temptest\test4.results
fc ..\..\temptest\test4.results ..\..\temptest\empty.txt
if %ERRORLEVEL%==0 (
   echo Testing h5repack test4.h5 -f dset1:SZIP=8                                                            PASSED >> ..\..\repacktest%2_%1.txt
) else (
   echo Testing h5repack test4.h5 -f dset1:SZIP=8                                                            FAILED >> ..\..\repacktest%2_%1.txt
)
del ..\..\temptest\out.test4.h5
del ..\..\temptest\test4.results
del ..\..\temptest\test4_error.results

REM TOOLTEST test4.h5 -f SZIP=8
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -f SZIP=8
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5 > ..\..\temptest\test4.results 2>..\..\temptest\test4_error.results
more ..\..\temptest\test4_error.results >> ..\..\temptest\test4.results
fc ..\..\temptest\test4.results ..\..\temptest\empty.txt
if %ERRORLEVEL%==0 (
   echo Testing h5repack test4.h5 -f SZIP=8                                                                  PASSED >> ..\..\repacktest%2_%1.txt
) else (
   echo Testing h5repack test4.h5 -f SZIP=8                                                                  FAILED >> ..\..\repacktest%2_%1.txt
)
del ..\..\temptest\out.test4.h5
del ..\..\temptest\test4.results
del ..\..\temptest\test4_error.results

REM shuffle
REM TOOLTEST test4.h5 -f dset1:SHUF
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -f dset1:SHUF
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5 > ..\..\temptest\test4.results 2>..\..\temptest\test4_error.results
more ..\..\temptest\test4_error.results >> ..\..\temptest\test4.results
fc ..\..\temptest\test4.results ..\..\temptest\empty.txt
if %ERRORLEVEL%==0 (
   echo Testing h5repack test4.h5 -f dset1:SHUF                                                              PASSED >> ..\..\repacktest%2_%1.txt
) else (
   echo Testing h5repack test4.h5 -f dset1:SHUF                                                              FAILED >> ..\..\repacktest%2_%1.txt
)
del ..\..\temptest\out.test4.h5
del ..\..\temptest\test4.results
del ..\..\temptest\test4_error.results

REM TOOLTEST test4.h5 -f SHUF
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -f SHUF
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5 > ..\..\temptest\test4.results 2>..\..\temptest\test4_error.results
more ..\..\temptest\test4_error.results >> ..\..\temptest\test4.results
fc ..\..\temptest\test4.results ..\..\temptest\empty.txt
if %ERRORLEVEL%==0 (
   echo Testing h5repack test4.h5 -f SHUF                                                                    PASSED >> ..\..\repacktest%2_%1.txt
) else (
   echo Testing h5repack test4.h5 -f SHUF                                                                    FAILED >> ..\..\repacktest%2_%1.txt
)
del ..\..\temptest\out.test4.h5
del ..\..\temptest\test4.results
del ..\..\temptest\test4_error.results

REM fletcher
REM TOOLTEST test4.h5 -f dset1:FLET
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -f dset1:FLET
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5 > ..\..\temptest\test4.results 2>..\..\temptest\test4_error.results
more ..\..\temptest\test4_error.results >> ..\..\temptest\test4.results
fc ..\..\temptest\test4.results ..\..\temptest\empty.txt
if %ERRORLEVEL%==0 (
   echo Testing h5repack test4.h5 -f dset1:FLET                                                              PASSED >> ..\..\repacktest%2_%1.txt
) else (
   echo Testing h5repack test4.h5 -f dset1:FLET                                                              FAILED >> ..\..\repacktest%2_%1.txt
)
del ..\..\temptest\out.test4.h5
del ..\..\temptest\test4.results
del ..\..\temptest\test4_error.results

REM TOOLTEST test4.h5 -f FLET
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -f FLET
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5 > ..\..\temptest\test4.results 2>..\..\temptest\test4_error.results
more ..\..\temptest\test4_error.results >> ..\..\temptest\test4.results
fc ..\..\temptest\test4.results ..\..\temptest\empty.txt
if %ERRORLEVEL%==0 (
   echo Testing h5repack test4.h5 -f FLET                                                                    PASSED >> ..\..\repacktest%2_%1.txt
) else (
   echo Testing h5repack test4.h5 -f FLET                                                                    FAILED >> ..\..\repacktest%2_%1.txt
)
del ..\..\temptest\out.test4.h5
del ..\..\temptest\test4.results
del ..\..\temptest\test4_error.results

REM layout chunk
REM TOOLTEST test4.h5 -l dset1:CHUNK=20x10
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -l dset1:CHUNK=20x10
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5 > ..\..\temptest\test4.results 2>..\..\temptest\test4_error.results
more ..\..\temptest\test4_error.results >> ..\..\temptest\test4.results
fc ..\..\temptest\test4.results ..\..\temptest\empty.txt
if %ERRORLEVEL%==0 (
   echo Testing h5repack test4.h5 -l dset1:CHUNK=20x10                                                       PASSED >> ..\..\repacktest%2_%1.txt
) else (
   echo Testing h5repack test4.h5 -l dset1:CHUNK=20x10                                                       FAILED >> ..\..\repacktest%2_%1.txt
)
del ..\..\temptest\out.test4.h5
del ..\..\temptest\test4.results
del ..\..\temptest\test4_error.results

REM TOOLTEST test4.h5 -l CHUNK=20x10
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -l CHUNK=20x10
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5 > ..\..\temptest\test4.results 2>..\..\temptest\test4_error.results
more ..\..\temptest\test4_error.results >> ..\..\temptest\test4.results
fc ..\..\temptest\test4.results ..\..\temptest\empty.txt
if %ERRORLEVEL%==0 (
   echo Testing h5repack test4.h5 -l CHUNK=20x10                                                             PASSED >> ..\..\repacktest%2_%1.txt
) else (
   echo Testing h5repack test4.h5 -l CHUNK=20x10                                                             FAILED >> ..\..\repacktest%2_%1.txt
)
del ..\..\temptest\out.test4.h5
del ..\..\temptest\test4.results
del ..\..\temptest\test4_error.results

REM layout compact
REM TOOLTEST test4.h5 -l dset1:COMPA
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -l dset1:COMPA
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5 > ..\..\temptest\test4.results 2>..\..\temptest\test4_error.results
more ..\..\temptest\test4_error.results >> ..\..\temptest\test4.results
fc ..\..\temptest\test4.results ..\..\temptest\empty.txt
if %ERRORLEVEL%==0 (
   echo Testing h5repack test4.h5 -l dset1:COMPA                                                             PASSED >> ..\..\repacktest%2_%1.txt
) else (
   echo Testing h5repack test4.h5 -l dset1:COMPA                                                             FAILED >> ..\..\repacktest%2_%1.txt
)
del ..\..\temptest\out.test4.h5
del ..\..\temptest\test4.results
del ..\..\temptest\test4_error.results

REM TOOLTEST test4.h5 -l COMPA
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -l COMPA
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5 > ..\..\temptest\test4.results 2>..\..\temptest\test4_error.results
more ..\..\temptest\test4_error.results >> ..\..\temptest\test4.results
fc ..\..\temptest\test4.results ..\..\temptest\empty.txt
if %ERRORLEVEL%==0 (
   echo Testing h5repack test4.h5 -l COMPA                                                                   PASSED >> ..\..\repacktest%2_%1.txt
) else (
   echo Testing h5repack test4.h5 -l COMPA                                                                   FAILED >> ..\..\repacktest%2_%1.txt
)
del ..\..\temptest\out.test4.h5
del ..\..\temptest\test4.results
del ..\..\temptest\test4_error.results

REM layout contiguous
REM TOOLTEST test4.h5 -l dset1:CONTI
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -l dset1:CONTI
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5 > ..\..\temptest\test4.results 2>..\..\temptest\test4_error.results
more ..\..\temptest\test4_error.results >> ..\..\temptest\test4.results
fc ..\..\temptest\test4.results ..\..\temptest\empty.txt
if %ERRORLEVEL%==0 (
   echo Testing h5repack test4.h5 -l dset1:CONTI                                                             PASSED >> ..\..\repacktest%2_%1.txt
) else (
   echo Testing h5repack test4.h5 -l dset1:CONTI                                                             FAILED >> ..\..\repacktest%2_%1.txt
)
del ..\..\temptest\out.test4.h5
del ..\..\temptest\test4.results
del ..\..\temptest\test4_error.results

REM TOOLTEST test4.h5 -l CONTI
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -l CONTI
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5 > ..\..\temptest\test4.results 2>..\..\temptest\test4_error.results
more ..\..\temptest\test4_error.results >> ..\..\temptest\test4.results
fc ..\..\temptest\test4.results ..\..\temptest\empty.txt
if %ERRORLEVEL%==0 (
   echo Testing h5repack test4.h5 -l CONTI                                                                   PASSED >> ..\..\repacktest%2_%1.txt
) else (
   echo Testing h5repack test4.h5 -l CONTI                                                                   FAILED >> ..\..\repacktest%2_%1.txt
)
del ..\..\temptest\out.test4.h5
del ..\..\temptest\test4.results
del ..\..\temptest\test4_error.results

REM conversions
REM TOOLTEST test4.h5 -l dset_compact:CONTI
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -l dset_compact:CONTI
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5 > ..\..\temptest\test4.results 2>..\..\temptest\test4_error.results
more ..\..\temptest\test4_error.results >> ..\..\temptest\test4.results
fc ..\..\temptest\test4.results ..\..\temptest\empty.txt
if %ERRORLEVEL%==0 (
   echo Testing h5repack test4.h5 -l dset_compact:CONTI                                                      PASSED >> ..\..\repacktest%2_%1.txt
) else (
   echo Testing h5repack test4.h5 -l dset_compact:CONTI                                                      FAILED >> ..\..\repacktest%2_%1.txt
)
del ..\..\temptest\out.test4.h5
del ..\..\temptest\test4.results
del ..\..\temptest\test4_error.results

REM TOOLTEST test4.h5 -l dset_compact:CHUNK=2x5
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -l dset_compact:CHUNK=2x5
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5 > ..\..\temptest\test4.results 2>..\..\temptest\test4_error.results
more ..\..\temptest\test4_error.results >> ..\..\temptest\test4.results
fc ..\..\temptest\test4.results ..\..\temptest\empty.txt
if %ERRORLEVEL%==0 (
   echo Testing h5repack test4.h5 -l dset_compact:CHUNK=2x5                                                  PASSED >> ..\..\repacktest%2_%1.txt
) else (
   echo Testing h5repack test4.h5 -l dset_compact:CHUNK=2x5                                                  FAILED >> ..\..\repacktest%2_%1.txt
)
del ..\..\temptest\out.test4.h5
del ..\..\temptest\test4.results
del ..\..\temptest\test4_error.results

REM TOOLTEST test4.h5 -l dset_compact:COMPA
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -l dset_compact:COMPA
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5 > ..\..\temptest\test4.results 2>..\..\temptest\test4_error.results
more ..\..\temptest\test4_error.results >> ..\..\temptest\test4.results
fc ..\..\temptest\test4.results ..\..\temptest\empty.txt
if %ERRORLEVEL%==0 (
   echo Testing h5repack test4.h5 -l dset_compact:COMPA                                                      PASSED >> ..\..\repacktest%2_%1.txt
) else (
   echo Testing h5repack test4.h5 -l dset_compact:COMPA                                                      FAILED >> ..\..\repacktest%2_%1.txt
)
del ..\..\temptest\out.test4.h5
del ..\..\temptest\test4.results
del ..\..\temptest\test4_error.results

REM TOOLTEST test4.h5 -l dset_contiguous:COMPA
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -l dset_contiguous:COMPA
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5 > ..\..\temptest\test4.results 2>..\..\temptest\test4_error.results
more ..\..\temptest\test4_error.results >> ..\..\temptest\test4.results
fc ..\..\temptest\test4.results ..\..\temptest\empty.txt
if %ERRORLEVEL%==0 (
   echo Testing h5repack test4.h5 -l dset_contiguous:COMPA                                                   PASSED >> ..\..\repacktest%2_%1.txt
) else (
   echo Testing h5repack test4.h5 -l dset_contiguous:COMPA                                                   FAILED >> ..\..\repacktest%2_%1.txt
)
del ..\..\temptest\out.test4.h5
del ..\..\temptest\test4.results
del ..\..\temptest\test4_error.results

REM TOOLTEST test4.h5 -l dset_contiguous:CHUNK=3x6
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -l dset_contiguous:CHUNK=3x6
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5 > ..\..\temptest\test4.results 2>..\..\temptest\test4_error.results
more ..\..\temptest\test4_error.results >> ..\..\temptest\test4.results
fc ..\..\temptest\test4.results ..\..\temptest\empty.txt
if %ERRORLEVEL%==0 (
   echo Testing h5repack test4.h5 -l dset_contiguous:CHUNK=3x6                                               PASSED >> ..\..\repacktest%2_%1.txt
) else (
   echo Testing h5repack test4.h5 -l dset_contiguous:CHUNK=3x6                                               FAILED >> ..\..\repacktest%2_%1.txt
)
del ..\..\temptest\out.test4.h5
del ..\..\temptest\test4.results
del ..\..\temptest\test4_error.results

REM TOOLTEST test4.h5 -l dset_contiguous:CONTI
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -l dset_contiguous:CONTI
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5 > ..\..\temptest\test4.results 2>..\..\temptest\test4_error.results
more ..\..\temptest\test4_error.results >> ..\..\temptest\test4.results
fc ..\..\temptest\test4.results ..\..\temptest\empty.txt
if %ERRORLEVEL%==0 (
   echo Testing h5repack test4.h5 -l dset_contiguous:CONTI                                                   PASSED >> ..\..\repacktest%2_%1.txt
) else (
   echo Testing h5repack test4.h5 -l dset_contiguous:CONTI                                                   FAILED >> ..\..\repacktest%2_%1.txt
)
del ..\..\temptest\out.test4.h5
del ..\..\temptest\test4.results
del ..\..\temptest\test4_error.results

REM TOOLTEST test4.h5 -l dset_chunk:COMPA
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -l dset_chunk:COMPA
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5 > ..\..\temptest\test4.results 2>..\..\temptest\test4_error.results
more ..\..\temptest\test4_error.results >> ..\..\temptest\test4.results
fc ..\..\temptest\test4.results ..\..\temptest\empty.txt
if %ERRORLEVEL%==0 (
   echo Testing h5repack test4.h5 -l dset_chunk:COMPA                                                        PASSED >> ..\..\repacktest%2_%1.txt
) else (
   echo Testing h5repack test4.h5 -l dset_chunk:COMPA                                                        FAILED >> ..\..\repacktest%2_%1.txt
)
del ..\..\temptest\out.test4.h5
del ..\..\temptest\test4.results
del ..\..\temptest\test4_error.results

REM TOOLTEST test4.h5 -l dset_chunk:CONTI
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -l dset_chunk:CONTI
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5 > ..\..\temptest\test4.results 2>..\..\temptest\test4_error.results
more ..\..\temptest\test4_error.results >> ..\..\temptest\test4.results
fc ..\..\temptest\test4.results ..\..\temptest\empty.txt
if %ERRORLEVEL%==0 (
   echo Testing h5repack test4.h5 -l dset_chunk:CONTI                                                        PASSED >> ..\..\repacktest%2_%1.txt
) else (
   echo Testing h5repack test4.h5 -l dset_chunk:CONTI                                                        FAILED >> ..\..\repacktest%2_%1.txt
)
del ..\..\temptest\out.test4.h5
del ..\..\temptest\test4.results
del ..\..\temptest\test4_error.results

REM TOOLTEST test4.h5 -l dset_chunk:CHUNK=18x13
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -l dset_chunk:CHUNK=18x13
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5 > ..\..\temptest\test4.results 2>..\..\temptest\test4_error.results
more ..\..\temptest\test4_error.results >> ..\..\temptest\test4.results
fc ..\..\temptest\test4.results ..\..\temptest\empty.txt
if %ERRORLEVEL%==0 (
   echo Testing h5repack test4.h5 -l dset_chunk:CHUNK=18x13                                                  PASSED >> ..\..\repacktest%2_%1.txt
) else (
   echo Testing h5repack test4.h5 -l dset_chunk:CHUNK=18x13                                                  FAILED >> ..\..\repacktest%2_%1.txt
)
del ..\..\temptest\out.test4.h5
del ..\..\temptest\test4.results
del ..\..\temptest\test4_error.results

REM filters
REM TOOLTEST test4.h5 -f dset1:SHUF -f dset1,dset2:GZIP=6
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -f dset1:SHUF -f dset1,dset2:GZIP=6
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5 > ..\..\temptest\test4.results 2>..\..\temptest\test4_error.results
more ..\..\temptest\test4_error.results >> ..\..\temptest\test4.results
fc ..\..\temptest\test4.results ..\..\temptest\empty.txt
if %ERRORLEVEL%==0 (
   echo Testing h5repack test4.h5 -f dset1:SHUF -f dset1,dset2:GZIP=6                                        PASSED >> ..\..\repacktest%2_%1.txt
) else (
   echo Testing h5repack test4.h5 -f dset1:SHUF -f dset1,dset2:GZIP=6                                        FAILED >> ..\..\repacktest%2_%1.txt
)
del ..\..\temptest\out.test4.h5
del ..\..\temptest\test4.results
del ..\..\temptest\test4_error.results

REM TOOLTEST test4.h5 -l dset1:CHUNK=20x10 -f dset1,dset2:SZIP=8
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -l dset1:CHUNK=20x10 -f dset1,dset2:SZIP=8
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5 > ..\..\temptest\test4.results 2>..\..\temptest\test4_error.results
more ..\..\temptest\test4_error.results >> ..\..\temptest\test4.results
fc ..\..\temptest\test4.results ..\..\temptest\empty.txt
if %ERRORLEVEL%==0 (
   echo Testing h5repack test4.h5 -l dset1:CHUNK=20x10 -f dset1,dset2:SZIP=8                                 PASSED >> ..\..\repacktest%2_%1.txt
) else (
   echo Testing h5repack test4.h5 -l dset1:CHUNK=20x10 -f dset1,dset2:SZIP=8                                 FAILED >> ..\..\repacktest%2_%1.txt
)
del ..\..\temptest\out.test4.h5
del ..\..\temptest\test4.results
del ..\..\temptest\test4_error.results

REM filter conversions
REM TOOLTEST test4.h5 -f dset_gzip:SZIP=8
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -f dset_gzip:SZIP=8
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5 > ..\..\temptest\test4.results 2>..\..\temptest\test4_error.results
more ..\..\temptest\test4_error.results >> ..\..\temptest\test4.results
fc ..\..\temptest\test4.results ..\..\temptest\empty.txt
if %ERRORLEVEL%==0 (
   echo Testing h5repack test4.h5 -f dset_gzip:SZIP=8                                                        PASSED >> ..\..\repacktest%2_%1.txt
) else (
   echo Testing h5repack test4.h5 -f dset_gzip:SZIP=8                                                        FAILED >> ..\..\repacktest%2_%1.txt
)
del ..\..\temptest\out.test4.h5
del ..\..\temptest\test4.results
del ..\..\temptest\test4_error.results

REM TOOLTEST test4.h5 -f dset_szip:GZIP=1
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -f dset_szip:GZIP=1
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5 > ..\..\temptest\test4.results 2>..\..\temptest\test4_error.results
more ..\..\temptest\test4_error.results >> ..\..\temptest\test4.results
fc ..\..\temptest\test4.results ..\..\temptest\empty.txt
if %ERRORLEVEL%==0 (
   echo Testing h5repack test4.h5 -f dset_szip:GZIP=1                                                        PASSED >> ..\..\repacktest%2_%1.txt
) else (
   echo Testing h5repack test4.h5 -f dset_szip:GZIP=1                                                        FAILED >> ..\..\repacktest%2_%1.txt
)
del ..\..\temptest\out.test4.h5
del ..\..\temptest\test4.results
del ..\..\temptest\test4_error.results

REM TOOLTEST test4.h5 -f dset_all:GZIP=1
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -f dset_all:GZIP=1
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5 > ..\..\temptest\test4.results 2>..\..\temptest\test4_error.results
more ..\..\temptest\test4_error.results >> ..\..\temptest\test4.results
fc ..\..\temptest\test4.results ..\..\temptest\empty.txt
if %ERRORLEVEL%==0 (
   echo Testing h5repack test4.h5 -f dset_all:GZIP=1                                                         PASSED >> ..\..\repacktest%2_%1.txt
) else (
   echo Testing h5repack test4.h5 -f dset_all:GZIP=1                                                         FAILED >> ..\..\repacktest%2_%1.txt
)
del ..\..\temptest\out.test4.h5
del ..\..\temptest\test4.results
del ..\..\temptest\test4_error.results

REM limit
REM TOOLTEST test4.h5 -f GZIP=1 -m 1024
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -f GZIP=1 -m 1024
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5 > ..\..\temptest\test4.results 2>..\..\temptest\test4_error.results
more ..\..\temptest\test4_error.results >> ..\..\temptest\test4.results
fc ..\..\temptest\test4.results ..\..\temptest\empty.txt
if %ERRORLEVEL%==0 (
   echo Testing h5repack test4.h5 -f GZIP=1 -m 1024                                                          PASSED >> ..\..\repacktest%2_%1.txt
) else (
   echo Testing h5repack test4.h5 -f GZIP=1 -m 1024                                                          FAILED >> ..\..\repacktest%2_%1.txt
)
del ..\..\temptest\out.test4.h5
del ..\..\temptest\test4.results
del ..\..\temptest\test4_error.results

REM file
REM TOOLTEST test4.h5 -e ../testfiles/h5repack_info.txt
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -e ..\..\testfiles\h5repack_info.txt
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5 > ..\..\temptest\test4.results 2>..\..\temptest\test4_error.results
more ..\..\temptest\test4_error.results >> ..\..\temptest\test4.results
fc ..\..\temptest\test4.results ..\..\temptest\empty.txt
if %ERRORLEVEL%==0 (
   echo Testing h5repack test4.h5 -e ../testfiles/h5repack_info.txt                                          PASSED >> ..\..\repacktest%2_%1.txt
) else (
   echo Testing h5repack test4.h5 -e ../testfiles/h5repack_info.txt                                          FAILED >> ..\..\repacktest%2_%1.txt
)
del ..\..\temptest\out.test4.h5
del ..\..\temptest\test4.results
del ..\..\temptest\test4_error.results


cd ..
cd ..

REM rmdir /s/q temptest